<template>
    <div id="cast-table">
        <table class="table table-borderless">
            <thead>
            <tr v-if="isPerson">
                <th>Role</th>
                <th>Title</th>
                <th>Type</th>
                <th>Released</th>
            </tr>
            <tr v-else-if="isTitle">
                <th>Actor</th>
                <th>Role</th>
            </tr>
            </thead>
            <tbody v-if="isPerson">
            <tr v-for="(role, index) in roles" :key="index">
                <td v-if="role.role">{{ role.role }}</td>
                <td v-else><em class="text-muted">unknown</em></td>
                <td>
                    <router-link :to="`/entertainment/${role.title_id}`">
                        {{ role.title }}
                    </router-link>
                </td>
                <td>{{ role.type }}</td>
                <td v-if="role.ended">{{ role.released }} - {{ role.ended }}</td>
                <td v-else>{{ role.released }}</td>
            </tr>
            </tbody>
            <tbody v-else-if="isTitle">
            <tr v-for="(role, index) in roles" :key="index">
                <td>
                    <router-link :to="`/people/${role.person_id}`">
                        {{ role.name }}
                    </router-link>
                </td>
                <td v-if="role.role">{{ role.role }}</td>
                <td v-else><em class="text-muted">unknown</em></td>
            </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
    export default {
        name: "cast-table",
        props: {
            view: {
                type: String,
                required: true,
            },
            roles: {
                type: Array,
                required: true,
            },
        },
        computed: {
            isPerson() {
                return this.view === 'person'
            },
            isTitle() {
                return this.view === 'title'
            },
        },
    }
</script>

<style scoped>
    a {
        color: black;
        text-decoration: none;
    }

    a:hover {
        color: darkgrey;
    }

    a:active {
        color: dimgrey;
    }
</style>